/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.RolOperativo;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderRolOperativo implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {

        RolOperativo rol = (RolOperativo) o;
        SimpleDateFormat sf = new SimpleDateFormat("HH:mm:ss");

        Listcell lc = new Listcell(rol.getRoloperativoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(rol.getDescroloperativo());
        lc.setParent(lstm);

        if (rol.getTiempoprevio() != null){
        	lc = new Listcell(sf.format(rol.getTiempoprevio()));
        }else{
        	lc = new Listcell("");
        }
        
        lc.setParent(lstm);

        lc = new Listcell((rol.getDiagramaAutobus() == null) ? "" : rol.getDiagramaAutobus().getDescDiagrama());
        lc.setParent(lstm);

        lstm.setAttribute("data", rol);
    }
}
